Subject: Re: FVWM: FvwmButtons 4.1.5 disappearing when asmodem exits

From: Dominik Vogt <[email-masked]>
Date: Sun, 3 Jan 1999 11:49:35 +0100

On Wed, Dec 23, 1998 at 10:55:31PM -0500, [email-masked] wrote:
> Linux 2 (RH 5.1).
> 
> I have a line in .fvwm2rc that is this:
> 
> *FvwmButtons(Padding 4 8, Swallow(UseOld,NoKill,Respawn,NoHints) \
>     asmodem 'Exec asmodem -s -d "/usr/sbin/pppd call worldnet" -h /usr/sbin/ppp-off -r "wavplay $HOME/Sounds/deadcat.wav"')
> 
> (Sorry for the long line.  Can quoted commands be broken as well?)
> 
> The options mean 
>    -s "shaped" graphic for the modem picture
>    -d use the quoted command to dial the ISP
>    -h use the quoted command to hang up
>    -r use the quoted command if reset
> 
> In fvwm 2.0.45, when hanging up, the icon would disappear and reappear
> on the button bar just as I would expect.
> 
> In 2.1.4 and 2.1.5, the button bar disappears, then the asmodem icon
> reappears in the upper left part of the screen.  If I restart FvwmButtons,
> the button bar swallows the existing app just fine.

Fixed in the CVS tree (I think 2.1.6 should work too, if not you have
to wait for 2.1.7 or fetch the CVS source).

BTW, you can verify this without picking up the phone and starting ppp:

  asmodem -s -d minicom -h "killall minicom"

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].